Trying to run an old FtB pack from an old launcher

  • Tech Support section is for getting help with FTB related problems. If there's a repeatable issue that can be labeled as a bug, then please use the issue tracker for the pack or the app at GitHub issue trackers - If there's no repository for a pack that means that the pack is old and/or will not be updated. Eventual bugs for older packs will not be fixed.

cr0s1s

New Member
Jul 29, 2019
3
0
1
Hi!
I am trying to run an old DireWolf pack that runs on Minecraft 1.6.4.
I still have the old install of FtB and the FtB launcher on my machine.
I can still run the server but I encounter some errors when I try to open the FtB launcher (I can post a pastebin to the full log if required).
It looks like the endpoints it is trying to connect to no longer exist. Is it possible for me to edit these endpoints?

[16:24:38] [ERROR] HttpURLConnection.getInputStream:-1->RSSReader.readRSS:56: News download failed: java.io.IOException: Server returned HTTP response code: 403 for URL: http://forum.feed-the-beast.com/forum/modpack-and-launcher-news.35/index.rss
sun.net.www.protocol.http.HttpURLConnection.getInputStream(Unknown Source)
java.net.URL.openStream(Unknown Source)
net.ftb.data.news.RSSReader.readRSS(RSSReader.java:41)
net.ftb.util.NewsUtils.initializeNews(NewsUtils.java:35)
net.ftb.util.NewsUtils.getNewsHTML(NewsUtils.java:46)
net.ftb.gui.panes.NewsPane.<init>(NewsPane.java:79)
net.ftb.gui.LaunchFrame.<init>(LaunchFrame.java:325)
net.ftb.main.Main$7.run(Main.java:322)
java.awt.event.InvocationEvent.dispatch(Unknown Source)
java.awt.EventQueue.dispatchEventImpl(Unknown Source)
java.awt.EventQueue.access$200(Unknown Source)
java.awt.EventQueue$3.run(Unknown Source)
java.awt.EventQueue$3.run(Unknown Source)
java.security.AccessController.doPrivileged(Native Method)
java.security.ProtectionDomain$1.doIntersectionPrivilege(Unknown Source)
java.awt.EventQueue.dispatchEvent(Unknown Source)
java.awt.EventDispatchThread.pumpOneEventForFilters(Unknown Source)
java.awt.EventDispatchThread.pumpEventsForFilter(Unknown Source)
java.awt.EventDispatchThread.pumpEventsForHierarchy(Unknown Source)
java.awt.EventDispatchThread.pumpEvents(Unknown Source)
java.awt.EventDispatchThread.pumpEvents(Unknown Source)
java.awt.EventDispatchThread.run(Unknown Source)

[16:24:39] [WARN] AbstractPlainSocketImpl.connect:-1->ModpackLoader.run:70: Failed to load modpacks, loading from backup: java.net.UnknownHostException: ftb.cursecdn.com
java.net.AbstractPlainSocketImpl.connect(Unknown Source)
java.net.PlainSocketImpl.connect(Unknown Source)
java.net.SocksSocketImpl.connect(Unknown Source)
java.net.Socket.connect(Unknown Source)
java.net.Socket.connect(Unknown Source)
sun.net.NetworkClient.doConnect(Unknown Source)
sun.net.www.http.HttpClient.openServer(Unknown Source)
sun.net.www.http.HttpClient.openServer(Unknown Source)
sun.net.www.http.HttpClient.<init>(Unknown Source)
sun.net.www.http.HttpClient.New(Unknown Source)
sun.net.www.http.HttpClient.New(Unknown Source)
sun.net.www.protocol.http.HttpURLConnection.getNewHttpClient(Unknown Source)
sun.net.www.protocol.http.HttpURLConnection.plainConnect(Unknown Source)
sun.net.www.protocol.http.HttpURLConnection.connect(Unknown Source)
sun.net.www.protocol.http.HttpURLConnection.getInputStream(Unknown Source)
java.net.URL.openStream(Unknown Source)
net.ftb.util.DownloadUtils.downloadToFile(DownloadUtils.java:248)
net.ftb.workers.ModpackLoader.run(ModpackLoader.java:68)


Is there anyway I can just launch the modpack without using the launcher?
If not then any help with this problem is greatly appreciated!
 

grandrolf

Global moderator
Team Member
Global Moderator
Trusted User
Aug 29, 2014
2,308
220
108
sweden
Use the new FTB app launcher - and if the pack is not yet on that launcher, download the latest version of the legacy launcher, can be found on https://www.feed-the-beast.com

Above looks like a old version and old version of the launcher is not supported.

If you still have issues after sorting above out, follow instructions here to get full log and share that:
https://support.ftb.world/
 

lenscas

Over-Achiever
Jul 31, 2013
2,032
1,808
248
also, just to get ahead of another potential problem: I tried to play an older pack not so long ago (though, before the new launcher was available) and I had problems with the sound not working because those couldn't be downloaded.

I don't know if you will run in the same problem but in case you do: multimc did not have that problem.